Bug 739416 - Review Request: php-php-gettext - Gettext emulation in PHP
Summary: Review Request: php-php-gettext - Gettext emulation in PHP
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: Package Review
Version: rawhide
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Remi Collet
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks: 727000
TreeView+ depends on / blocked
 
Reported: 2011-09-18 22:35 UTC by Robert Scheck
Modified: 2014-07-21 12:41 UTC (History)
4 users (show)

Fixed In Version: php-php-gettext-1.0.11-4.el4
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2011-10-04 21:16:46 UTC
fedora: fedora-review+
gwync: fedora-cvs+


Attachments (Terms of Use)

Description Robert Scheck 2011-09-18 22:35:08 UTC
Spec URL: http://labs.linuxnetz.de/bugzilla/php-php-gettext.spec
SRPM URL: http://labs.linuxnetz.de/bugzilla/php-php-gettext-1.0.11-3.src.rpm
Description:
This library provides PHP functions to read MO files even when gettext is 
not compiled in or when appropriate locale is not present on the system.


Is is a re-review request, because of the facts mentioned in bug #727000. And
please note, that this package is not providing php-gettext to avoid conflicts 
with other RPM packages that just require php-gettext and could get this one
instead of the correct one provided by the php core package.

Comment 1 Remi Collet 2011-09-24 16:12:23 UTC
Taking

Comment 2 Remi Collet 2011-09-24 16:26:42 UTC
=== FORMAL REVIEW ===
 -=N/A  x=Check  !=Problem,  ?=Not evaluated

=== REQUIRED ITEMS ===
 [!] Rpmlint output:
php-php-gettext.noarch: E: incorrect-fsf-address /usr/share/php/gettext/streams.php
php-php-gettext.noarch: E: incorrect-fsf-address /usr/share/doc/php-php-gettext-1.0.11/COPYING
php-php-gettext.noarch: E: incorrect-fsf-address /usr/share/php/gettext/gettext.php
php-php-gettext.noarch: E: incorrect-fsf-address /usr/share/php/gettext/gettext.inc
 [x] Package is named according to the Package Naming Guidelines.
 [x] Spec file name must match the base package %{name}, in the format
%{name}.spec.
 [x] Package meets the Packaging Guidelines including the PHP specific items
 [x] Package is licensed with an open-source compatible license and meets other
legal requirements as defined in the legal section of Packaging Guidelines.
 [x] License field in the package spec file matches the actual license.
     License type: GPLv2+
 [x] If (and only if) the source package includes the text of the license(s) in
its own file, then that file, containing the text of the license(s) for the
package is included in %doc.
 [x] Spec file is legible and written in American English.
 [x] Sources used to build the package matches the upstream source, as provided
in the spec URL.
	md5sum : c085ef92974358adb0faf9350f7973ec  php-gettext-1.0.11.tar.gz
 [x] Package successfully compiles and builds into binary rpms on at least one
supported architecture.
     Tested on: f15 x86_64
 [x] Package is not known to require ExcludeArch
 [x] All build dependencies are listed in BuildRequires, except for any that
are listed in the exceptions section of Packaging Guidelines.
 [-] The spec file handles locales properly.
 [-] ldconfig called in %post and %postun if required.
 [-] Packages don't bundle copies of system librarie
 [-] Package is not relocatable.
 [x] Package must own all directories that it creates.
 [x] Package requires other packages for directories it uses.
 [x] Package does not contain duplicates in %files.
 [x] Permissions on files are set properly.
 [x] Package consistently uses macros.
 [x] Package contains code, or permissable content.
 [-] Large documentation files are in a -doc subpackage, if required.
 [x] Package uses nothing in %doc for runtime.
 [-] Header files in -devel subpackage, if present.
 [-] Static libraries in -static subpackage, if present.
 [-] Development .so files in -devel subpackage, if present.
 [-] Fully versioned dependency in subpackages with %{?_isa}, if present.
 [-] Package does not contain any libtool archives (.la).
 [-] Package contains a properly installed %{name}.desktop file if it is a GUI
 [x] All filenames in rpm packages must be valid UTF-8
 [x] Package does not own files or directories owned by other packages.

=== SUGGESTED ITEMS ===
 [x] Final requires
php-common  
php-mbstring 
 [x] Final provides
php-php-gettext = 1.0.11-3.fc15
 [x] Latest version is packaged.
 [-] If the source package does not include license text(s) as a separate file
     from upstream, the packager SHOULD query upstream to include it. 
 [-] The description and summary sections in the package spec file should contain
     translations for supported Non-English languages, if available.
 [x] Reviewer should test that the package builds in mock.
     Tested on: Koji f16
	http://koji.fedoraproject.org/koji/taskinfo?taskID=3373578
 [-] The package should compile and build into binary rpms on all supported architectures.
     Tested on: 
 [x] Package functions as described.
 [-] If scriptlets are used, those scriptlets must be sane. 
 [-] If the package has file dependencies outside of /etc, /bin, /sbin, /usr/bin, or /usr/sbin 
     consider requiring the package which provides the file instead of the file itself. 
 [-] your package should contain man pages for binaries/scripts. 
     If it doesn't, work with upstream to add them where they make sense.
 [-] The placement of pkgconfig(.pc) files is correct.
 [-] %check is present and the tests pass


SHOULD:
report incorrect-fsf-address upstream, and add a link in the spec for memory.

NOTE:
Obsolete php-gettext < 1.0.11-3 which is ok.
No provides fir php-gettext, which is ok, as this is the goal of the rename.

yum upgrade from php-gettext to php-php-gettext is ok.

========
APPROVED
========

Comment 3 Robert Scheck 2011-09-24 17:48:44 UTC
Thank you very much for the review.


New Package SCM Request
=======================
Package Name: php-php-gettext
Short Description: Gettext emulation in PHP
Owners: robert
Branches: f14 f15 f16 el4 el5 el6
InitialCC:

Comment 4 Gwyn Ciesla 2011-09-25 20:31:08 UTC
Git done (by process-git-requests).

Comment 5 Fedora Update System 2011-09-25 21:24:25 UTC
php-php-gettext-1.0.11-3.fc15 has been submitted as an update for Fedora 15.
https://admin.fedoraproject.org/updates/php-php-gettext-1.0.11-3.fc15

Comment 6 Fedora Update System 2011-09-25 21:24:27 UTC
php-php-gettext-1.0.11-3.fc16 has been submitted as an update for Fedora 16.
https://admin.fedoraproject.org/updates/php-php-gettext-1.0.11-3.fc16

Comment 7 Fedora Update System 2011-09-25 21:24:31 UTC
php-php-gettext-1.0.11-3.fc14 has been submitted as an update for Fedora 14.
https://admin.fedoraproject.org/updates/php-php-gettext-1.0.11-3.fc14

Comment 8 Fedora Update System 2011-09-25 21:24:36 UTC
php-php-gettext-1.0.11-3.el6 has been submitted as an update for Fedora EPEL 6.
https://admin.fedoraproject.org/updates/php-php-gettext-1.0.11-3.el6

Comment 9 Fedora Update System 2011-09-25 21:24:41 UTC
php-php-gettext-1.0.11-3.el5 has been submitted as an update for Fedora EPEL 5.
https://admin.fedoraproject.org/updates/php-php-gettext-1.0.11-3.el5

Comment 10 Fedora Update System 2011-09-25 21:24:49 UTC
php-php-gettext-1.0.11-3.el4 has been submitted as an update for Fedora EPEL 4.
https://admin.fedoraproject.org/updates/php-php-gettext-1.0.11-3.el4

Comment 11 Fedora Update System 2011-09-26 16:47:59 UTC
php-php-gettext-1.0.11-3.fc16 has been pushed to the Fedora 16 testing repository.

Comment 12 Fedora Update System 2011-10-04 21:16:34 UTC
php-php-gettext-1.0.11-3.fc16 has been pushed to the Fedora 16 stable repository.

Comment 13 Fedora Update System 2011-10-05 03:54:31 UTC
php-php-gettext-1.0.11-3.fc15 has been pushed to the Fedora 15 stable repository.

Comment 14 Fedora Update System 2011-10-05 03:58:03 UTC
php-php-gettext-1.0.11-3.fc14 has been pushed to the Fedora 14 stable repository.

Comment 15 Fedora Update System 2011-10-11 19:26:15 UTC
php-php-gettext-1.0.11-3.el6 has been pushed to the Fedora EPEL 6 stable repository.

Comment 16 Fedora Update System 2011-10-11 19:27:01 UTC
php-php-gettext-1.0.11-3.el5 has been pushed to the Fedora EPEL 5 stable repository.

Comment 17 Fedora Update System 2011-10-18 19:32:31 UTC
php-php-gettext-1.0.11-4.el4 has been pushed to the Fedora EPEL 4 stable repository.

Comment 18 Robert Scheck 2014-07-21 07:36:15 UTC
Package Change Request
======================
Package Name: php-php-gettext
New Branches: epel7
Owners: robert

Comment 19 Gwyn Ciesla 2014-07-21 12:41:41 UTC
Git done (by process-git-requests).


Note You need to log in before you can comment on or make changes to this bug.